Namespace
library
Image / Tag
nextcloud:14.0.0RC2-fpm
Content Digest
sha256:80ba3e591b5b8f190017f3dd10c91c564369114ae7286b94f5f5004b9918956f
Details
Created

2018-09-05 10:42:27 UTC

Size

188 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

14.0.0RC2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0

PHP_URL

https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror

PHP_VERSION

7.2.9


Layers

[#000] sha256:9f3675ed6653666b64ffa6c3dc93755d10c6f906a1cab9f061cdbe09c65323f4 - 11.74% (22.1 MB)

[#001] sha256:373dbc1260a05667efc80f8be05f86f2c8e1ffd318e78ef63c8e46f89a458c23 - 0.0% (225 Bytes)

[#002] sha256:d5043b9e8c05fba62c02a7922de92abc9897582c1d42ef5b54fadd7729ed6724 - 36.29% (68.2 MB)

[#003] sha256:7656a960ed9b5048a41ee9f4e43ba5a1be7cbf598652ea796b7e53d1f8d18c27 - 0.0% (182 Bytes)

[#004] sha256:6729ee82aadccc64b76e1a582ff46a965d27db0f95b0dfdebe27d1e1bd8218c9 - 6.32% (11.9 MB)

[#005] sha256:ec91102855ea67a571d98637829b368b2d4c9ee01c051cfeef3974dfc1ce28a2 - 0.0% (499 Bytes)

[#006] sha256:bc625bb7a41be16973aeb1d4662a237efa701e901ba3f424b675cec0af40e1c4 - 14.87% (27.9 MB)

[#007] sha256:8bc70d09ed0028284abf52b591aeaee8dded292f779f7739b40077a7c057b215 - 0.0% (2.13 KB)

[#008] sha256:e3699c755033bdb3a26d3224f748a3501027f3d77902650d62302b4d73ac9953 - 0.0% (266 Bytes)

[#009] sha256:4dcf331d77f05cde3d02514040ed2fdd5cdf1ded19ac988e6f021b28f028270f - 0.0% (130 Bytes)

[#010] sha256:a953f2c72eb53e0cf1d4cc2bdac6d7802cce2bf06daf3b65d5a2b78074171adf - 0.0% (7.62 KB)

[#011] sha256:b1bbe36914b33d900f35b1f6c801c8fad23d0abd1f4ddfd7c0e9c3e5233d7d65 - 0.81% (1.52 MB)

[#012] sha256:0fd671b050137d468e170c9be1853f711c2c143f72512825325eb8c386e851ba - 2.06% (3.87 MB)

[#013] sha256:ba872c3db89eb02c1dd0db20b64194e81b73433db302d84b016277b90ca9f3b2 - 0.0% (480 Bytes)

[#014] sha256:f199e49706b4f9aea9fe6b4f2b39715eb1055b5a6ec35ae3f8a78e08bd85fdd4 - 27.9% (52.4 MB)

[#015] sha256:d50de676e2ef4137dd37bc73b240b3b90ad6693163de4b90fb94b20915203bed - 0.0% (999 Bytes)

[#016] sha256:fd0d79f0131dae1af187bbbb622b460cd38b3e2c6673ac63755ad1d02465d9eb - 0.0% (786 Bytes)


History
2018-07-17 10:50:00 UTC

/bin/sh -c #(nop) ADD file:14cbcb91de201f648f46b04170dcae29163968a641f94d6ad7c3d77fc707a890 in /

2018-07-17 10:50:03 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-07-17 15:47:26 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-07-17 15:47:26 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-07-17 15:48:13 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-07-17 15:48:16 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-07-17 15:48:17 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-07-17 15:59:54 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-07-17 15:59:54 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 15:59:54 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-07-17 15:59:55 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-07-17 15:59:55 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-08-23 11:55:02 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.9

2018-08-23 11:55:02 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

2018-08-23 11:55:02 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0 PHP_MD5=

2018-08-23 11:55:19 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-08-23 11:55:19 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-08-23 11:59:31 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-08-23 11:59:47 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-08-23 11:59:48 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-08-23 11:59:48 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-08-23 11:59:48 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-08-23 11:59:49 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-08-23 11:59:49 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-08-23 11:59:49 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-08-31 20:25:07 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-08-31 20:31:37 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.12; pecl install memcached-3.0.4; pecl install redis-4.1.1; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-08-31 20:31:39 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-08-31 20:31:40 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-09-05 10:41:14 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=14.0.0RC2

2018-09-05 10:42:23 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-09-05 10:42:25 UTC

/bin/sh -c #(nop) COPY multi:f33934cfb9da2d432252f25123e4239ab0550f895400c104c4593506cd83b53b in /

2018-09-05 10:42:26 UTC

/bin/sh -c #(nop) COPY multi:55b88fcd3d6a1a8ca5ef52e5d2c9e27370c13cdc4c5e94d159f82a32979740ff in /usr/src/nextcloud/config/

2018-09-05 10:42:26 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-09-05 10:42:27 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-09-05 19:28:41 UTC

Size

183 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

14.0.0RC2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0

PHP_URL

https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror

PHP_VERSION

7.2.9


Layers

[#000] sha256:802b00ed6f79f48e6a5f44ecbcaf43563d6077aaecb565eee1dfc615c0b18c00 - 11.73% (21.4 MB)

[#001] sha256:59f5a5a895f85ce514e7f66d3715d42e54b6735957b02a2406d3625dd75a2185 - 0.0% (226 Bytes)

[#002] sha256:6898b2dbcfeb5f9532f39c5906364d294c90c4fa0c942068e0ba27bdcd73029b - 35.18% (64.3 MB)

[#003] sha256:8e0903aaa47ebca2076b2f4d52c1118efa2fd755741247b509ced1085f5c1a72 - 0.0% (183 Bytes)

[#004] sha256:546d402a5919e163d6220ed10852784249b3d00f4feb8a89b9785ae49fb93b60 - 6.5% (11.9 MB)

[#005] sha256:ffd9361915ac84eccba4aa22934a35462dc021416423c08c7e14c071cedf6898 - 0.0% (500 Bytes)

[#006] sha256:fd0a99fbc59679d300669c8de27b206028537ae2c0028b58ef97c73c6b663556 - 14.96% (27.3 MB)

[#007] sha256:0df97f7374a730ec9b060f647600ce615c8cbb08ac296a4ab4798db063fc672a - 0.0% (2.14 KB)

[#008] sha256:85b0819224b626c1d66c50fcd570b7126b504a5f7300c39cd0bde977388d992d - 0.0% (265 Bytes)

[#009] sha256:3af92e9acba67a3c0511b6792703256f31287e25a73e9b5875ef76047b89dab0 - 0.0% (130 Bytes)

[#010] sha256:af8253601a403426cfb087118f37c15d3121fb0fd67d30a5d24e3cb0b0ec33c7 - 0.0% (7.62 KB)

[#011] sha256:e6340d9201b2adb77cf4be9ed3c5326cea08b55761e69ed83399d0c3406c8bfa - 0.83% (1.52 MB)

[#012] sha256:280be576b109bb83f257f1cd6a1005cd729bd8e827700a1ef41af96a422aacf8 - 2.11% (3.86 MB)

[#013] sha256:c1a8530932e4ff9fe4d4e3261da32bc242876cb1a62adeae5cabc21d0e1130fb - 0.0% (479 Bytes)

[#014] sha256:cccb695ba060743b836a6166b724f5e0932afd5a3b35f85ae2988a9b08019df0 - 28.68% (52.4 MB)

[#015] sha256:b39c70f11837f35e2f98f4a592ef3fac741b087b9875375821dcfc5fb2e96545 - 0.0% (998 Bytes)

[#016] sha256:2e6af3cb3a2c4bb2703988c32c5586eafcfc73366f68ae6f8276742aec3fe343 - 0.0% (786 Bytes)


History
2018-09-04 21:21:34 UTC

/bin/sh -c #(nop) ADD file:e6ca98733431f75e97eb09758ba64065d213d51bd2070a95cf15f2ff5adccfc4 in /

2018-09-04 21:21:34 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-09-05 01:55:39 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-09-05 01:55:39 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-09-05 01:56:06 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-09-05 01:56:06 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-09-05 01:56:07 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-09-05 02:11:23 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-09-05 02:11:23 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-09-05 02:11:24 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-09-05 02:11:24 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-09-05 03:12:47 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-09-05 03:12:48 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.9

2018-09-05 03:12:48 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

2018-09-05 03:12:48 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0 PHP_MD5=

2018-09-05 03:13:00 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-09-05 03:13:00 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-09-05 03:21:47 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-09-05 03:21:48 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-09-05 03:21:48 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-09-05 03:21:49 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-09-05 03:21:49 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-09-05 03:21:50 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-09-05 03:21:50 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-09-05 03:21:51 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-09-05 19:23:24 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-09-05 19:26:26 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.12; pecl install memcached-3.0.4; pecl install redis-4.1.1; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-09-05 19:26:26 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-09-05 19:26:26 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-09-05 19:28:13 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=14.0.0RC2

2018-09-05 19:28:40 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-09-05 19:28:41 UTC

/bin/sh -c #(nop) COPY multi:f33934cfb9da2d432252f25123e4239ab0550f895400c104c4593506cd83b53b in /

2018-09-05 19:28:41 UTC

/bin/sh -c #(nop) COPY multi:55b88fcd3d6a1a8ca5ef52e5d2c9e27370c13cdc4c5e94d159f82a32979740ff in /usr/src/nextcloud/config/

2018-09-05 19:28:41 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-09-05 19:28:41 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-09-05 16:22:12 UTC

Size

171 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

14.0.0RC2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0

PHP_URL

https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror

PHP_VERSION

7.2.9


Layers

[#000] sha256:675207fbfe2baab74b37fd78c8be6e05579c046e848f9e9762e048899fa484f1 - 11.83% (20.2 MB)

[#001] sha256:d12b8c370f4194843049859a40870387b6afc9ff714f14645ef229a5d129ff75 - 0.0% (226 Bytes)

[#002] sha256:c74ab99b1c6ebeed75ab17c89463d557176bb46107fdd675809640cdae86c431 - 32.11% (54.8 MB)

[#003] sha256:db6fab8b47c897ff471d9356b84c006020884c27efb6bd1b261221de092295bd - 0.0% (211 Bytes)

[#004] sha256:1dd3494101d9c86089ecbbf3cfb860fa4c409e3159c7dc2c44347482e6a3d74f - 6.96% (11.9 MB)

[#005] sha256:b326fcda56d69b4f6428f1cac6172114d177d550a9ac68c4faaf06ceb8852fe9 - 0.0% (499 Bytes)

[#006] sha256:101f8c0e8d0f08161152fd3e3b4e75f487fad5dc10f29d7714b36891a2d62193 - 15.34% (26.2 MB)

[#007] sha256:317031125f8f1cb583835205f61987699f58da6026b52bbb10469697e3bef4bd - 0.0% (2.14 KB)

[#008] sha256:ec7a216c8a7bdbe5944a4de226a1f9d4f66d02ec61224ccf3b1cf674bde492cf - 0.0% (264 Bytes)

[#009] sha256:9794644d7154913b2ed78090be19df70d030288fb2c5cd3b5909558cc1e1bf7b - 0.0% (161 Bytes)

[#010] sha256:897f8ac2d19bd766d38b0b8d2ff0fdb19b75803b5a664c2b96c71de4d685985c - 0.0% (7.62 KB)

[#011] sha256:eec0507bd4381ee1046345302e4dbd606c001d8a4355b10bc9d17d14c97808fa - 0.87% (1.49 MB)

[#012] sha256:d83fb46076d2592e6b8579ed1d131705c886e7bff511405b03cc08d2d92ebfd1 - 2.17% (3.71 MB)

[#013] sha256:808b4c453c60bf67e6b379c3f1e9884d6d83d137049307c5d09ffc619d9d884d - 0.0% (505 Bytes)

[#014] sha256:9deb815c70915ef0f52a54d7111133a79aa7e12759e4212f5256af9854b927b2 - 30.72% (52.4 MB)

[#015] sha256:ae21759ceb626d389eb664dca77aff10257bc6bbd50f803ca891f3ddaef82639 - 0.0% (999 Bytes)

[#016] sha256:308bd64843682742a3dbe2c5ac4e86fd4c087fce7291d4822aaa3765643b115a - 0.0% (784 Bytes)


History
2018-09-05 08:55:26 UTC

/bin/sh -c #(nop) ADD file:589b238a5fdfe8cc752d0f1769d0c392a7ac3d1204f9247c4eea21dd805663b0 in /

2018-09-05 08:55:26 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-09-05 09:31:26 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-09-05 09:31:27 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-09-05 09:32:06 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-09-05 09:32:06 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-09-05 09:32:07 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-09-05 09:42:42 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-09-05 09:42:42 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-09-05 09:42:43 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-09-05 09:42:43 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-09-05 10:03:04 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-09-05 10:03:04 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.9

2018-09-05 10:03:04 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

2018-09-05 10:03:04 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0 PHP_MD5=

2018-09-05 10:03:18 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-09-05 10:03:18 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-09-05 10:07:56 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-09-05 10:07:57 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-09-05 10:07:58 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-09-05 10:07:58 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-09-05 10:07:58 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-09-05 10:08:00 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-09-05 10:08:00 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-09-05 10:08:00 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-09-05 16:14:12 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-09-05 16:19:23 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.12; pecl install memcached-3.0.4; pecl install redis-4.1.1; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-09-05 16:19:24 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-09-05 16:19:25 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-09-05 16:21:24 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=14.0.0RC2

2018-09-05 16:22:08 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-09-05 16:22:10 UTC

/bin/sh -c #(nop) COPY multi:f33934cfb9da2d432252f25123e4239ab0550f895400c104c4593506cd83b53b in /

2018-09-05 16:22:11 UTC

/bin/sh -c #(nop) COPY multi:55b88fcd3d6a1a8ca5ef52e5d2c9e27370c13cdc4c5e94d159f82a32979740ff in /usr/src/nextcloud/config/

2018-09-05 16:22:11 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-09-05 16:22:12 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-09-05 20:02:56 UTC

Size

164 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

14.0.0RC2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0

PHP_URL

https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror

PHP_VERSION

7.2.9


Layers

[#000] sha256:2e5bbd238113a2057012dfb78ac9665531c276c48962d208492c8802fb0503c0 - 11.22% (18.4 MB)

[#001] sha256:4c7453977399986cae90e7dff649e6e6239b8561d9f7af71651ea23933b98bd3 - 0.0% (228 Bytes)

[#002] sha256:4f0c86f09d6663fdcad54665088cbc80458ba3910dd6ff1221ba525f02902078 - 31.18% (51.1 MB)

[#003] sha256:ca86f3766852f42b9b9e8fc1e14732770796c7e01bd15e8d45dcd04d720faeec - 0.0% (212 Bytes)

[#004] sha256:0f28960dd68cfd59561a0894b641f8706c2d18b12865b38d7147da00f76e56e6 - 7.25% (11.9 MB)

[#005] sha256:cd6df58d394dca6df4cad7f53d9c2b7815fe136f7e996cbc9243bc63c76f5c24 - 0.0% (500 Bytes)

[#006] sha256:7e554c12adfd765f7369f022dafd52cc384850bd9b93670b3c148b3d16334fa6 - 15.34% (25.1 MB)

[#007] sha256:124132b96b63009b85d43afd513ddede657884bbcfd4132ae214384eefbdde60 - 0.0% (2.13 KB)

[#008] sha256:92696f5469f84b9c1e774c690ca1793543e4278f9b55fc7e28bef90c6c37c635 - 0.0% (263 Bytes)

[#009] sha256:faff3895fa30ffae036df763e9a887625ed1c28d4c872b90d017c97c03bfe69b - 0.0% (160 Bytes)

[#010] sha256:cc2d4194bb20b8595a7ab6dff74e53b8840eb147fd900031253b5e8fd71ba56e - 0.0% (7.62 KB)

[#011] sha256:66ca5bc58bff9a17d48d2bb3e21eb136b876ed738c9b86543bfd7c8a71ca751d - 0.82% (1.34 MB)

[#012] sha256:4dcdab87aa1acc9b743646402342003210eafdcc2f534a5ef9ef68f15ed668a1 - 2.18% (3.56 MB)

[#013] sha256:14d454fa7b8cca67c7fce666a5ee6d61cd321fc8b2b0b284cb91d3bb4fa571a4 - 0.0% (505 Bytes)

[#014] sha256:d9341190fdeb8ea21965bc8ceff7f61b953b49944415be211b5be2b5394452ca - 32.0% (52.4 MB)

[#015] sha256:4266b7fc10710e6b7cf8a3f13cc3540d135116fa99dbd148dc3256710be33970 - 0.0% (999 Bytes)

[#016] sha256:3496874f0bf7f5509cc9be190c608a2b2a6e5582a9ef0e6b9d1bdec3e5cf90e4 - 0.0% (786 Bytes)


History
2018-09-05 12:04:38 UTC

/bin/sh -c #(nop) ADD file:d20313e46e6d5f092327691d5bc0e83ad6b16d7b44a8dc82fa973c25a13257e7 in /

2018-09-05 12:04:38 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-09-05 13:54:55 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-09-05 13:54:56 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-09-05 13:55:21 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-09-05 13:55:21 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-09-05 13:55:23 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-09-05 14:04:57 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-09-05 14:04:57 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-09-05 14:04:57 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-09-05 14:04:58 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-09-05 14:23:27 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-09-05 14:23:27 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.9

2018-09-05 14:23:27 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

2018-09-05 14:23:28 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0 PHP_MD5=

2018-09-05 14:23:39 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-09-05 14:23:40 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-09-05 14:27:55 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-09-05 14:27:56 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-09-05 14:27:58 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-09-05 14:27:58 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-09-05 14:27:58 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-09-05 14:27:59 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-09-05 14:28:00 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-09-05 14:28:00 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-09-05 19:54:44 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-09-05 19:59:03 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.12; pecl install memcached-3.0.4; pecl install redis-4.1.1; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-09-05 19:59:13 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-09-05 19:59:19 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-09-05 20:02:16 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=14.0.0RC2

2018-09-05 20:02:53 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-09-05 20:02:54 UTC

/bin/sh -c #(nop) COPY multi:f33934cfb9da2d432252f25123e4239ab0550f895400c104c4593506cd83b53b in /

2018-09-05 20:02:55 UTC

/bin/sh -c #(nop) COPY multi:55b88fcd3d6a1a8ca5ef52e5d2c9e27370c13cdc4c5e94d159f82a32979740ff in /usr/src/nextcloud/config/

2018-09-05 20:02:56 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-09-05 20:02:56 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-09-06 08:51:14 UTC

Size

170 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

14.0.0RC2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0

PHP_URL

https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror

PHP_VERSION

7.2.9


Layers

[#000] sha256:8d586fc7919319b234c6d8676e8dc3baa39e4edf195a2dec935bdaeeb0862163 - 11.39% (19.4 MB)

[#001] sha256:4b9a0c6139ac02ec19ae2b9abd5a62e150d1d48fa5b2f2ce6288673d4abf8c89 - 0.0% (227 Bytes)

[#002] sha256:bbd3f9aedb13f6184ef6937e7fd4e572275b5c360fb3a82984e60f9f409ded5a - 32.26% (54.9 MB)

[#003] sha256:82954d79d5da39fa6ca0661f210feebf6a504b18c3871386acdc845a57e25927 - 0.0% (183 Bytes)

[#004] sha256:56e80bbefdeed0f39ff592e7b004225f91da06a743aca748af37811fabf9e8ce - 6.98% (11.9 MB)

[#005] sha256:e030832dd28abb5ad1dfe5fd9ba44277306dd57c5245d5148dcca92576de240f - 0.0% (501 Bytes)

[#006] sha256:cf4e0da3546e495caa24b0f925158e01fad51f4ced081ca526392a0c2ab7898a - 15.37% (26.2 MB)

[#007] sha256:20eab06319472649f3122717fb38fed8afcc13cac262c177959d095330c3afda - 0.0% (2.14 KB)

[#008] sha256:5996b45568b1c23cac7c3e26502b78398294955eb520764b8068d54da2012242 - 0.0% (264 Bytes)

[#009] sha256:544bae1b559e30d083514d6d93653a904586ad8ec43980014d0382c9fc342fc5 - 0.0% (129 Bytes)

[#010] sha256:81f891e5e6245d8a39f5e3654764f216f3a15e6893a6eca888ce83e71d02a9b4 - 0.0% (7.62 KB)

[#011] sha256:9bec74c288f521aa3d9d7247791ea687ee9e2e4deadac547b5c52ed32e686d41 - 0.84% (1.43 MB)

[#012] sha256:0777f45521caf558ccce9197da8c94471acb094a928422d69cc0502c44c58efd - 2.37% (4.03 MB)

[#013] sha256:4f3b9a68d91db8d8f1a6b3f01cd8544842146f151df3395e604d8a636df60b9b - 0.0% (479 Bytes)

[#014] sha256:511d5a67ee108e3abdb65d09217f514d0e203ae32a5d40c49fec49b3f799c967 - 30.79% (52.4 MB)

[#015] sha256:34d644551dedabd8a199f46c6d6e56ac8bf83a07db08ebfaec5da12402897cd4 - 0.0% (998 Bytes)

[#016] sha256:630f463ca1f197c4b1d90ccca896bc68aa655353dd52e1a3d3bd0a6b39d27045 - 0.0% (782 Bytes)


History
2018-09-05 08:51:48 UTC

/bin/sh -c #(nop) ADD file:11982f247d3c0dc005ade5290cf65e3e0f9d4a64f141d4d63317af8680ef094a in /

2018-09-05 08:52:05 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-09-05 14:29:03 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-09-05 14:29:04 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-09-05 14:30:30 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-09-05 14:30:31 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-09-05 14:30:34 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-09-05 14:54:00 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-09-05 14:54:01 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-09-05 14:54:02 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-09-05 14:54:03 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-09-05 15:49:54 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-09-05 15:49:55 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.9

2018-09-05 15:49:56 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

2018-09-05 15:49:56 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0 PHP_MD5=

2018-09-05 15:50:29 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-09-05 15:50:30 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-09-05 16:03:54 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-09-05 16:03:56 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-09-05 16:03:58 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-09-05 16:03:58 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-09-05 16:03:59 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-09-05 16:04:01 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-09-05 16:04:01 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-09-05 16:04:02 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-09-06 08:39:34 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-09-06 08:46:17 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.12; pecl install memcached-3.0.4; pecl install redis-4.1.1; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-09-06 08:46:19 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-09-06 08:46:20 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-09-06 08:50:01 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=14.0.0RC2

2018-09-06 08:51:06 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-09-06 08:51:11 UTC

/bin/sh -c #(nop) COPY multi:f33934cfb9da2d432252f25123e4239ab0550f895400c104c4593506cd83b53b in /

2018-09-06 08:51:12 UTC

/bin/sh -c #(nop) COPY multi:55b88fcd3d6a1a8ca5ef52e5d2c9e27370c13cdc4c5e94d159f82a32979740ff in /usr/src/nextcloud/config/

2018-09-06 08:51:13 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-09-06 08:51:14 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-09-05 19:51:43 UTC

Size

178 MB

Content Digest
Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

NEXTCLOUD_VERSION

14.0.0RC2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0

PHP_URL

https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror

PHP_VERSION

7.2.9


Layers

[#000] sha256:92065d7cb20e14e29d25bb528f13bf94b0956f60664782bb1c43ce3192bf762b - 12.22% (21.7 MB)

[#001] sha256:5d410d48def2a37874fbb12203fc7704c1231389db8a4d2fe7a0ec41b2054951 - 0.0% (228 Bytes)

[#002] sha256:40a7697ebc0840cff78c11793c2ac32d5b83b5c870da149d23832f6e7c885503 - 33.2% (58.9 MB)

[#003] sha256:70d738f1afbe46c3ed68ec5d3eef36d8c994d3224e71b7690b39a51bc185f360 - 0.0% (212 Bytes)

[#004] sha256:0502cc0ef6c39f52398fe1bf2d926f92f2d835e0763dfdee128c557ce41c70de - 6.69% (11.9 MB)

[#005] sha256:bbeb3e07f6e868b0ecf529fa896e31336f29a9589cdd0630819031b7aae7410b - 0.0% (501 Bytes)

[#006] sha256:cae2df5fa4888c654acf0ffbe0c2bbc877766330c6719244ead2fad187f6ff0d - 15.31% (27.2 MB)

[#007] sha256:fb8ac60d580ac47f6b4c75bf1a810a84c4d4b5c418237a78b78b8cf33ad4a499 - 0.0% (2.14 KB)

[#008] sha256:39a190383557f265f638d953466a0cd55c7d83a0835b9a5974d841a5a1b37533 - 0.0% (264 Bytes)

[#009] sha256:11fa55dd7992384b354f84f45522ffa92b173dd3cee8b8e6b2afa8164650cfed - 0.0% (160 Bytes)

[#010] sha256:762d2e8e658bc5ee2c14faa767d82838a086a133a6e9e8a902f2cd8609c6b4ab - 0.0% (7.62 KB)

[#011] sha256:72b7a1b97a2decddfcc3dfbc61464583953814f09cb6f7616ca2eb6fce23cc27 - 0.87% (1.54 MB)

[#012] sha256:beb0aa8a3c41bc159d7726d1235e5bb3d3aa34916e9c8c4e89bea981d6bbaa2c - 2.18% (3.88 MB)

[#013] sha256:1d0d96b480d58477f98d4e545836c9166f297cf46ff75b8ca4253fb7d9e48d78 - 0.0% (508 Bytes)

[#014] sha256:fff171320f875d929e9178a230d6c325a759b1cb224b4132c173fa5d7eb7f035 - 29.52% (52.4 MB)

[#015] sha256:7641e9e52da0d343e52395b2b6ce2d17e72eaa3a129024d31e3ff73a395f22f5 - 0.0% (998 Bytes)

[#016] sha256:751ec3d7c81811466e484b17a07eb7fd657fdfaf8e20a5fc7ebcb13770326a5e - 0.0% (786 Bytes)


History
2018-09-05 08:19:50 UTC

/bin/sh -c #(nop) ADD file:d599fe9ac09b7e23964896f5c79eb1a253ab4cfd9d27e3c409ff87a0cc012a33 in /

2018-09-05 08:19:51 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-09-05 10:12:52 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-09-05 10:12:52 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-09-05 10:14:10 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-09-05 10:14:11 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-09-05 10:14:15 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-09-05 10:28:24 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-09-05 10:28:25 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-09-05 10:28:27 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-09-05 10:28:27 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-09-05 10:56:53 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2018-09-05 10:56:54 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.9

2018-09-05 10:56:55 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.9.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.9.tar.xz.asc/from/this/mirror

2018-09-05 10:56:56 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=3585c1222e00494efee4f5a65a8e03a1e6eca3dfb834814236ee7f02c5248ae0 PHP_MD5=

2018-09-05 10:57:53 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-09-05 10:57:54 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-09-05 11:04:07 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-09-05 11:04:10 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-09-05 11:04:13 UTC

/bin/sh -c docker-php-ext-enable sodium

2018-09-05 11:04:14 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-09-05 11:04:14 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-09-05 11:04:16 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-09-05 11:04:16 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-09-05 11:04:17 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-09-05 19:43:09 UTC

/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends rsync bzip2 busybox-static ; rm -rf /var/lib/apt/lists/*; mkdir -p /var/spool/cron/crontabs; echo '*/15 * * * * php -f /var/www/html/cron.php' > /var/spool/cron/crontabs/www-data

2018-09-05 19:47:14 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libfreetype6-dev libicu-dev libjpeg-dev libldap2-dev libmcrypt-dev libmemcached-dev libpng-dev libpq-dev libxml2-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install exif gd intl ldap opcache pcntl pdo_mysql pdo_pgsql zip ; pecl install APCu-5.1.12; pecl install memcached-3.0.4; pecl install redis-4.1.1; docker-php-ext-enable apcu memcached redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-09-05 19:47:16 UTC

/bin/sh -c { echo 'opcache.enable=1'; echo 'opcache.enable_cli=1'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=10000'; echo 'opcache.memory_consumption=128'; echo 'opcache.save_comments=1'; echo 'opcache.revalidate_freq=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini; echo 'apc.enable_cli=1' >> /usr/local/etc/php/conf.d/docker-php-ext-apcu.ini; mkdir /var/www/data; chown -R www-data:root /var/www; chmod -R g=u /var/www

2018-09-05 19:47:17 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-09-05 19:50:32 UTC

/bin/sh -c #(nop) ENV NEXTCLOUD_VERSION=14.0.0RC2

2018-09-05 19:51:37 UTC

/bin/sh -c set -ex; fetchDeps=" gnupg dirmngr "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; curl -fsSL -o nextcloud.tar.bz2 "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2"; curl -fsSL -o nextcloud.tar.bz2.asc "https://download.nextcloud.com/server/prereleases/nextcloud-${NEXTCLOUD_VERSION}.tar.bz2.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 28806A878AE423A28372792ED75899B9A724937A; gpg --batch --verify nextcloud.tar.bz2.asc nextcloud.tar.bz2; tar -xjf nextcloud.tar.bz2 -C /usr/src/; gpgconf --kill all; rm -r "$GNUPGHOME" nextcloud.tar.bz2.asc nextcloud.tar.bz2; rm -rf /usr/src/nextcloud/updater; mkdir -p /usr/src/nextcloud/data; mkdir -p /usr/src/nextcloud/custom_apps; chmod +x /usr/src/nextcloud/occ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-09-05 19:51:40 UTC

/bin/sh -c #(nop) COPY multi:f33934cfb9da2d432252f25123e4239ab0550f895400c104c4593506cd83b53b in /

2018-09-05 19:51:41 UTC

/bin/sh -c #(nop) COPY multi:55b88fcd3d6a1a8ca5ef52e5d2c9e27370c13cdc4c5e94d159f82a32979740ff in /usr/src/nextcloud/config/

2018-09-05 19:51:41 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-09-05 19:51:43 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete